Package skyview.process.imagefinder

# Class RotatedRectangle

java.lang.Object
skyview.process.ImageFinder
skyview.process.imagefinder.RectRecurse
skyview.process.imagefinder.Border
skyview.process.imagefinder.RotatedRectangle

public class RotatedRectangle extends Border
This image finder uses the same algorithm as the border finder, but rather than using the rectangle in the projection plane, we assume that only a subrectangle which of the image (which may be rotated with respect to the image) is valid. A limits file is associated with each input image and contains a specification of the bounding rectangle in terms of the pixels of the original image.

## Field Summary

### Fields inherited from class skyview.process.imagefinder.RectRecurse

`CONSUMED, fromOut, NO_COVERAGE, NON_PHYSICAL, SPLIT_X, SPLIT_XY, SPLIT_Y, UNCHECKED`

## Constructor Summary

Constructors
Constructor
Description
`RotatedRectangle()`

## Method Summary

Modifier and Type
Method
Description
`double[]`
`getImage(Image in, double[] vector)`
Convert an input unit vector to a position in an image.
`int[]`
`getInputLimits(Image in)`

### Methods inherited from class skyview.process.imagefinder.Border

`criterion`

### Methods inherited from class skyview.process.imagefinder.RectRecurse

`cornerMatch, edgeOff, findImages, getCandidate, minDist, printOut, radiusSquared, setStrict`

### Methods inherited from class skyview.process.ImageFinder

`factory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RotatedRectangle

public RotatedRectangle()

## Method Details

### getInputLimits

public int[] getInputLimits(Image in)

Overrides:
  `getInputLimits` in class `RectRecurse`

### getImage

public double[] getImage(Image in, double[] vector)
Description copied from class: `RectRecurse`
Convert an input unit vector to a position in an image.

Overrides:
  `getImage` in class `RectRecurse`
Parameters:
  `in` - The image we are transforming into the plane of.
  `vector` - The input unit celestial coordinate unit vector.
Returns:
  The coordinate plane tuple. This is returned as a pointer to the field t2.